import { HttpClient } from "@angular/common/http";
import { MessageService } from "primeng/api";
import { FormGroup } from "@angular/forms";
export declare class FieldCustomizationService {
    protected http: HttpClient;
    protected messageService: MessageService;
    constructor(http: HttpClient, messageService: MessageService);
    commitFiles(objects: any[]): import("rxjs").Observable<unknown>;
    deleteFiles(objects: any): import("rxjs").Observable<unknown>;
    getFiles(formGroup: FormGroup): {
        filesToCommit: any[];
        filesToDelete: any;
    };
    isEmpty(object: any): boolean;
    defaultCatch(): import("rxjs").OperatorFunction<unknown, unknown>;
}
